<?php
defined('_JEXEC') or die('Restricted access');

include_once (JPATH_ROOT . '/components/com_billing/useraccount.php');
include_once (JPATH_ROOT . '/components/com_billing/userpoints.php');
include_once (JPATH_ROOT . '/components/com_billing/account.php');

class pm_billing extends PaymentRoot
{
	function showAdminFormParams($params){
	}

    function showPaymentForm($params, $pmconfigs){
		BillingLogMessage('Payment', 'JShopping', "payment form");
        include(dirname(__FILE__)."/paymentform.php");
		$UA = new UserAccount();
		$uid = JFactory::getUser()->id;
		$b = $UA->GetBalance($uid);
		echo "Баланс личного счета " . FormatDefaultCurrency($b);
		
    }

	function checkTransaction($pmconfigs, $order, $act){
		BillingLogMessage('Payment', 'JShopping', "check transaction");
		$UA = new UserAccount();
		$uid = JFactory::getUser()->id;
		$b = $UA->GetBalance($uid);
		if($order->order_total <= $b)
		{
			return array(1, '');     
		}
		else
		{
			return array(0, 'У вас не хватает средств для оплаты заказа. Пополните счет.');     
		}
	
	}

    function checkPaymentInfo($params, $pmconfigs){
		BillingLogMessage('Payment', 'JShopping', "check payment");
		$UA = new UserAccount();
		$uid = JFactory::getUser()->id;
		$b = $UA->GetBalance($uid);
		if($order->order_total <= $b)
		{
			return 1;     
		}
		else
		{
			return 0;     
		}
    }
	
    function complete($pmconfigs, $order, $payment){
		BillingLogMessage('Payment', 'JShopping', "complete");
		$UA = new UserAccount();
		$uid = JFactory::getUser()->id;
		$b = $UA->GetBalance($uid);
		$pid = date('Ymd').$uid;
		$amount = floatval($order->order_total);
		$descr = "Оплата заказа $order->order_number";
		if($b >= $amount)
		{
			$UA->WithdrawMoney($uid, $amount, $pid, $descr, 0, $order->order_id);
			$db = JFactory::getDBO();
			$query = "update `#__jshopping_orders` set order_status = 6 where order_id = $order->order_id";
			$result = $db->setQuery($query);   
			$n = $db->query(); 
		}
    }
	
}
?>